# PetscBagRegisterScalar

add a real value to the bag

### Synopsis

    #include "petsc.h"
    #include "petscbag.h"
    PetscErrorCode PetscBagRegisterScalar(PetscBag bag,void *addr,PetscScalar mdefault, const char* name, const char* help)

Collective on PetscBag

### Input Parameter

| bag | - the bag of values
| addr | - location of scalar in struct
| mdefault | - the initial value
| name | - name of the variable
| help | - longer string with more information about the value

### See Also

PetscBag, PetscBagSetName(), PetscBagView(), PetscBagLoad(), PetscBagGetData()
PetscBagRegisterInt(), PetscBagRegisterTruth(), PetscBagRegisterScalar() PetscBagSetFromOptions(), PetscBagCreate(), PetscBagGetName(), PetscBagRegisterEnum()

Level:beginner
Location: src/sys/bag/bag.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex5.c.html
src/sys/examples/tutorials/ex5f90.F90.html